Subject: bug#69456: closed (Re: bug#69456: Cuirass 1.2.0-2.7bcd3d0 (and manual): latest install image not available for download (wrong URL?))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Jul 2024 21:53:02 +0000

Your bug report

#69456: Cuirass 1.2.0-2.7bcd3d0 (and manual): latest install image not available for download (wrong URL?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69456: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69456
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69456: Cuirass 1.2.0-2.7bcd3d0 (and manual): latest install image not available for download (wrong URL?)
From: Ludovic Courtès <[email-masked]>
To: Giovanni Biscuolo <[email-masked]>
Cc: Guix Devel <[email-masked]>, [email-masked], Tanguy LE CARROUR <[email-masked]>
Date: Sun, 14 Jul 2024 23:52:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Giovanni Biscuolo <[email-masked]> skribis:

> IMO there is a bug in the CI UI
>
> Tanguy LE CARROUR <[email-masked]> writes:
>
>> In order to test the latest installer, I went to the "latest download"
>> page [1] and clicked on "x86_64-linux" under "GNU Guix System on Linux"
>> and ended up on an error page [2]:
>>
>> """
>> {"error":"Could not find the requested build product."}
>> """
>>
>> [1]: https://guix.gnu.org/en/download/latest/

This was fixed a couple of weeks ago:

  https://issues.guix.gnu.org/71577#1

Thanks,
Ludo’.

Subject: Cuirass 1.2.0-2.7bcd3d0 (and manual): latest install image not available for download (wrong URL?)
From: Giovanni Biscuolo <[email-masked]>
To: [email-masked]
Cc: Guix Devel <[email-masked]>, Tanguy LE CARROUR <[email-masked]>
Date: Wed, 28 Feb 2024 16:16:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Tanguy,

IMO there is a bug in the CI UI

Tanguy LE CARROUR <[email-masked]> writes:

> In order to test the latest installer, I went to the "latest download"
> page [1] and clicked on "x86_64-linux" under "GNU Guix System on Linux"
> and ended up on an error page [2]:
>
> """
> {"error":"Could not find the requested build product."}
> """
>
> [1]: https://guix.gnu.org/en/download/latest/

the exact URL is this one:

https://ci.guix.gnu.org/search/latest/ISO-9660?query=spec:images+status:success+system:x86_64-linux+image.iso

Looking at this results:
https://ci.guix.gnu.org/search?query=spec:images+status:success+system:x86_64-linux+image.iso

there are plenty of images succesfully built.

Unfortunately the "Build outputs" URL available in the datails page are
broken so there is no way to download them via ci.guix.gnu.org (AFAIU)

> [2]: https://ci.guix.gnu.org/download/1907

I also tested:

- https://ci.guix.gnu.org/build/3395955/details pointing to
  https://ci.guix.gnu.org/download/1927

- https://ci.guix.gnu.org/build/3267415/details pointing to
  https://ci.guix.gnu.org/download/1894

and the result is the same:

--8<---------------cut here---------------start------------->8---

{"error":"Could not find the requested build product."}

--8<---------------cut here---------------end--------------->8---

[...]

> Is it the ISO that has to be tested? How can I download it?

Unfortunately also the latest (devel) manual

https://guix.gnu.org/en/manual/devel/en/html_node/USB-Stick-and-DVD-Installation.html

now is pointing to an invalid url:

https://ftp.gnu.org/gnu/guix/guix-system-install-f29f80c.x86_64-linux.iso

I'm almost sure not so log ago it was pointing to a valid file.

Are the two issues linked of do I need to file a separate bug for the
manual?

Sorry I don't know how to help to fix it.

Best regards, Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures